"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constraint = void 0;
const constraints_1 = require("@betterer/constraints");
const differ_1 = require("./differ");
function constraint(result, expected) {
    const { diff } = (0, differ_1.differ)(result, expected);
    if (isWorse(diff)) {
        return constraints_1.BettererConstraintResult.worse;
    }
    if (isBetter(diff)) {
        return constraints_1.BettererConstraintResult.better;
    }
    return constraints_1.BettererConstraintResult.same;
}
exports.constraint = constraint;
function isWorse(diff) {
    return Object.keys(diff).some((filePath) => {
        const { lines, statements, functions, branches } = diff[filePath];
        return lines < 0 || statements < 0 || functions < 0 || branches < 0;
    });
}
function isBetter(diff) {
    return Object.keys(diff).some((filePath) => {
        const { lines, statements, functions, branches } = diff[filePath];
        return lines > 0 || statements > 0 || functions > 0 || branches > 0;
    });
}
//# sourceMappingURL=constraint.js.map