import { BettererRun } from '@betterer/betterer';
import { CoverageSummaryData, Totals } from 'istanbul-lib-coverage';
export declare type IstanbulCoverage = Totals;
export declare type IstanbulFileCoverage = CoverageSummaryData;
export declare type IstanbulCoverageSummary = {
    [filePath: string]: IstanbulFileCoverage;
};
export declare type BettererCoverageTestFunction = (run: BettererRun, coverageReportPath: string, included: Array<string>, excluded: Array<RegExp>) => Promise<BettererCoverageIssues>;
/**
 * The different types of coverage which are checked
 * @public
 */
export declare type BettererCoverageTypes = 'lines' | 'statements' | 'functions' | 'branches';
/**
 * The lines, statements, functions and branches coverage for a file (or the total project)
 * @public
 */
export declare type BettererCoverageIssue = Record<BettererCoverageTypes, number>;
/**
 * The coverage for a project
 * @public
 */
export declare type BettererCoverageIssues = {
    [filePath: string]: BettererCoverageIssue;
};
/**
 * The difference in coverage for a project between two test runs
 * @public
 */
export declare type BettererCoverageDiff = BettererCoverageIssues;
//# sourceMappingURL=types.d.ts.map