"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalisedPath = exports.isNumber = exports.flatten = void 0;
const tslib_1 = require("tslib");
const path_1 = (0, tslib_1.__importDefault)(require("path"));
function flatten(toFlatten) {
    const flattened = [];
    toFlatten.forEach((t) => {
        if (isItem(t)) {
            flattened.push(t);
        }
        else {
            flattened.push(...t);
        }
    });
    return flattened;
}
exports.flatten = flatten;
function isItem(pattern) {
    return !Array.isArray(pattern);
}
function isNumber(input) {
    return typeof input === 'number';
}
exports.isNumber = isNumber;
function normalisedPath(filePath) {
    return path_1.default.sep === path_1.default.posix.sep ? filePath : filePath.split(path_1.default.sep).join(path_1.default.posix.sep);
}
exports.normalisedPath = normalisedPath;
//# sourceMappingURL=utils.js.map